{
    "$graph": [
        {
            "class": "Workflow",
            "id": "#main",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "MultipleInputFeatureRequirement"
                },
                {
                    "class": "ScatterFeatureRequirement"
                },
                {
                    "class": "StepInputExpressionRequirement"
                },
                {
                    "class": "SubworkflowFeatureRequirement"
                }
            ],
            "inputs": [
                {
                    "type": {
                        "type": "record",
                        "fields": [
                            {
                                "type": {
                                    "type": "array",
                                    "items": "File"
                                },
                                "name": "#main/pair/files"
                            },
                            {
                                "type": "string",
                                "name": "#main/pair/normal_id"
                            },
                            {
                                "type": "string",
                                "name": "#main/pair/tumor_id"
                            }
                        ]
                    },
                    "id": "#main/pair"
                }
            ],
            "steps": [
                {
                    "run": "#consolidate-files.cwl",
                    "in": [
                        {
                            "valueFrom": "${ return inputs.pair.files; }",
                            "id": "#main/consolidate_per_pair/files"
                        },
                        {
                            "valueFrom": "${ return inputs.pair.tumor_id + \".\" + inputs.pair.normal_id; }",
                            "id": "#main/consolidate_per_pair/output_directory_name"
                        },
                        {
                            "source": "#main/pair",
                            "id": "#main/consolidate_per_pair/pair"
                        }
                    ],
                    "out": [
                        "#main/consolidate_per_pair/directory"
                    ],
                    "id": "#main/consolidate_per_pair"
                }
            ],
            "outputs": [
                {
                    "type": "Directory",
                    "outputSource": "#main/consolidate_per_pair/directory",
                    "id": "#main/directory"
                }
            ]
        },
        {
            "class": "ExpressionTool",
            "id": "#consolidate-files.cwl",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                }
            ],
            "inputs": [
                {
                    "type": {
                        "type": "array",
                        "items": [
                            "File",
                            "string",
                            "null"
                        ]
                    },
                    "id": "#consolidate-files.cwl/consolidate-files/files"
                },
                {
                    "type": "string",
                    "id": "#consolidate-files.cwl/consolidate-files/output_directory_name"
                }
            ],
            "outputs": [
                {
                    "type": "Directory",
                    "id": "#consolidate-files.cwl/consolidate-files/directory"
                }
            ],
            "expression": "${\n  var output_files = [];\n  var input_files = inputs.files.filter(single_file => String(single_file).toUpperCase() != 'NONE');\n\n\n  for (var i = 0; i < inputs.files.length; i++) {\n    if(input_files[i]){\n      output_files.push(inputs.files[i]);\n    }\n  }\n\n  return {\n    'directory': {\n      'class': 'Directory',\n      'basename': inputs.output_directory_name,\n      'listing': output_files\n    }\n  };\n}\n"
        }
    ],
    "cwlVersion": "v1.0"
}
